# Check Point Log server

Collection of Check Point Log server checks
* *checkpoint_fw_ls*: monitors the status of the log server on the gateway side
* *checkpoint_fwm_ls*: monitors the status of the log server on the management side

## Check Info *checkpoint_fw_ls*:

* *service*: this service will cerate on service for each log server the gateway is connected to and the service *FW Log server over all*
* *state*:

    **critical**
    * if *fwLocalLoggingStat* is *2*, *Logging local due to connectivity*
    * if *fwlsconnoverall* is *2*
    
    **warning**
    * if *fwLocalLoggingStat* is *1* or *3*, *Logging local configured*, *Logging local due to high rate*
    * if *fwlsconnoverall* is *1*
* *wato*: 
    * default connection status
    * defualt monitoring state if expected connecton status differs from actual connection status
* *perfdata*:
    * Local Logging Writing Rate
    * Logging Handling Rate
    * Sending Rate

## Check Info *checkpoint_fwm_ls*:

* *service*: creates the service FWM Log Server
* *state*:

    **critical**
    * if *lsstatcode* is not *0*, errordescription from *lsstatlongdescr*
    * if *lsfwmisalive* is not *1*, service not alive
* *wato*: you can configure to ignore *lsfwmisalive* on R80.x systems
* *perfdata*:
    * Updates and logs index rate
    * Updates and logs peak index rate
    * Logs read rate
    * Logs read peak rate

---
### Download

* [checkpoint_log_server.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/both/checkpoint_log_server/-/raw/master/checkpoint_log_server.mkp "Download the MKP file")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_log_server.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output from gateway

![sample output from gw](/doc/sample-gw.png?raw=true "sample output from gw")

---
### Sample output from management

![sample output from mgmt](/doc/sample-mgmt.png?raw=true "sample outpout from mgmt")
