#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    TextAscii,
    FixedValue,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)


def _parameter_valuespec_checkpoint_fwm_ls():
    return Dictionary(elements=[
        ('ignore_status_on_r80_10',
         FixedValue(
             True,
             title=_('Ignore status and alive on Check Point R80.10'),
             totext=_('enabled'),
             default_value=False,
         )),
    ])


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='checkpoint_fwm_ls',
        group=RulespecGroupCheckParametersNetworking,
        item_spec=lambda: TextAscii(title=_('Check Point Firewall management log server'), ),
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_checkpoint_fwm_ls,
        title=lambda: _('Check Point Firewall management log server'),
    ))
